import { IWebModule, WebApplicationCls, WebApplicationEventManager } from '@fly-vue/core';
import { AsyncModuleDef } from './base';
import { Route, NavigationGuardNext } from 'vue-router';
export declare enum AsyncModuleRegistryEventType {
    /**
     * 加载模块之前（每个模块和所有依赖）
     */
    LoadModuleBefore = 1,
    /**
     * 加载模块成功之后（每个模块和所有依赖）
     */
    LoadModuleAfter = 2,
    /**
     * 加载模块之前（每个模块）
     */
    LoadModuleBeforeEach = 3,
    /**
     * 加载模块成功之后（每个模块）
     */
    LoadModuleAfterEach = 4
}
export interface AsyncModuleRegistryEventContext {
    /**
     * 当前应用
     */
    webApp: WebApplicationCls;
    moduleDef?: AsyncModuleDef;
    module?: IWebModule;
    /** 控制取消 */
    cancel?(): void;
    routerArgs?: {
        to: Route;
        from: Route;
        next: NavigationGuardNext<Vue>;
    };
    /**
     * 其它参数
     */
    [propName: string]: any;
}
export declare const AsyncModuleRegistryEvents: WebApplicationEventManager<AsyncModuleRegistryEventType, AsyncModuleRegistryEventContext>;
